*\
*format {"%2i"}
*npoin                     
*\                        
*loop nodes
*format {"%2i%10.2f%10.2f%10.2f%10.2f"}
*NodesNum *NodesCoord(1,real) *NodesCoord(2,real) *NodesCoord(3,real) 0.0/
*end nodes
/
*\
# reaction data ...
*set var nR=0
*set var restraints=0
*Set Cond Support-Constraints *nodes
*loop nodes *OnlyInCond
*set Var restraints = Operation(restraints+cond(1,int)+cond(2,int)+cond(3,int)+cond(4,int)+cond(5,int)+cond(6,int))
*set Var nR=Operation(nR+1)
*end nodes
*format {"%2i"}
*nR 
/
*\
*Set Cond Support-Constraints *nodes
*if(CondNumEntities(int)>0)
*loop nodes *OnlyInCond
*format {"%2i"}
*NodesNum *\
    *cond(1) *cond(2) *cond(3) *cond(4) *cond(5) *cond(6)/
*end nodes
*endif
/
*\
*format {"%3i"}
*nelem                     
/  
*Set elems(Linear)                    
*loop elems
*format {"%3i"}
*elemsnum *\ 
   *elemsConec *GenData(Area_Section) *GenData(Shear_Area_Y) *GenData(Shear_Area_Z) *GenData(Jx) *GenData(Iy) *GenData(Iz) *\
*loop materials
   *MatProp(Modulus_of_Elasticity_E)  *MatProp(Shear_Modulus_G) 0  *MatProp(Density)
*end materials   
*end elems    
/
*\
*if(strcmp(GenData(Shear_Deformation),"Considered")==0)
1            # 1=Do, 0=Don't include shear deformation effects
*elseif(strcmp(GenData(Shear_Deformation),"Not_considered")==0)
0            # 1=Do, 0=Don't include shear deformation effects
*endif 
/
*\
*if(strcmp(GenData(Geometric_Stiffness),"Considered")==0)
1            # 1=Do, 0=Don't include geometric stiffness effects
*elseif(strcmp(GenData(Geometric_Stiffness),"Not_considered")==0)
0            # 1=Do, 0=Don't include geometric stiffness effects
*endif 
/
*\
*GenData(Scaling_factor_Deformation) # exaggeration factor for static mesh deformations
/

*\
*GenData(Scaling_factor_Plotting) # zoom scale for 3D plotting
/
-1           # length of x-axis increment for frame element internal force data, mm
             # if dx is -1 then internal force calculations are skipped
*\
*GenData(No_Load_Cases)
/
*loop intervals
*for(i=1;i=GenData(No_Load_Cases))
*If(i==0)
*break
*endif
    0         0         -9800   
*set var loadj=0
*Set Cond Joint-Loads *nodes
*loop nodes *OnlyInCond
*Set Var loadj=loopvar
*end nodes
*format {"%2i"}	
*loadj                   # number of loaded nodes (global)
*Set Cond Joint-Loads *nodes
*if(CondNumEntities(int)>0)
*loop nodes *OnlyInCond
*format {"%2i"}
*NodesNum *\
   *cond(1) *cond(2) *cond(3) *cond(4) *cond(5) *cond(6)/
*end nodes
*endif
/
*set var udl=0
*Set Cond Uniform-Loads *elems
*loop elems *OnlyInCond
*Set Var udl=loopvar
*end elems
*format {"%2i"}
*udl                   # number of uniformly-distributed element loads (local)
*Set Cond Uniform-Loads *elems
*if(CondNumEntities(int)>0)
*loop elems *OnlyInCond
*format {"%2i"}
*ElemsNum *\
   *cond(1) *cond(2) *cond(3)/
*end elems
*endif
/
0                   # number of trapezoidally-distributed element loads (local)
*set var cpl=0
*Set Cond Element-Point-Loads *elems
*loop elems *OnlyInCond
*Set Var cpl=loopvar
*end elems
*format {"%2i"}
*cpl                     # number of concentrated interior point loads (local)
#.elmnt  X-load   Y-load   Z-load    x-loc'n  point loads in member coordinates 
*Set Cond Element-Point-Loads *elems
*if(CondNumEntities(int)>0)
*loop elems *OnlyInCond
*format {"%2i"}
*ElemsNum *\
   *cond(1) *cond(2) *cond(3) *cond(4)        # x=distance from coordinate N1 /
*end elems
*endif
/
*set var eltemp=0
*Set Cond Temperature-Loads *elems
*loop elems *OnlyInCond
*Set Var eltemp=loopvar
*end elems
*format {"%2i"} 
*eltemp                   # number of frame elements with temperature changes (local)
*Set Cond Temperature-Loads *elems
*if(CondNumEntities(int)>0)
*loop elems *OnlyInCond
*format {"%2i"}
*ElemsNum *\
   *cond(1) *cond(2) *cond(3) *cond(4) *cond(5) *cond(6) *cond(7)/
*end elems
*endif
/
*Set Cond Support-Displacements *nodes
*Set var nD=0
*loop nodes *OnlyInCond 
*If((cond(1,real)>0)||(cond(1,real)<0))
*Set Var cond1=1
*endif
*If((cond(2,real)>0)||(cond(2,real)<0))
*Set Var cond2=1
*endif
*If((cond(3,real)>0)||(cond(3,real)<0))
*Set Var cond3=1
*endif
*If((cond(4,real)>0)||(cond(4,real)<0))
*Set Var cond4=1
*endif
*If((cond(5,real)>0)||(cond(5,real)<0))
*Set Var cond5=1
*endif
*If((cond(6,real)>0)||(cond(6,real)<0))
*Set Var cond6=1
*endif
*set Var displ = Operation(displ+cond1+cond2+cond3+cond4+cond5+cond6)
*If (displ>0)
*Set var nD=Operation(nD+1)
*end nodes
*format {"%2i"}
*nD                   # number of prescribed displacements nD<=nR (global)
*Set Cond Support-Displacements *nodes
*if(CondNumEntities(int)>0)
*loop nodes *OnlyInCond
*format {"%2i"}
*NodesNum *\
   *cond(1) *cond(2) *cond(3) *cond(4) *cond(5) *cond(6)/
*end nodes
*endif
/
# End Static *i
*end for
*end intervals
*GenData(No_Dyn_Modes)      # number of desired dynamic modes 
*\
*if(strcmp(GenData(Dynamic_method),"Jacobi")==0)
1       # 1= Subspace-Jacobi iteration, 2= Stodola (matrix iteration) method
*elseif(strcmp(GenData(Dynamic_method),"Stodola")==0)
2       # 1= Subspace-Jacobi iteration, 2= Stodola (matrix iteration) method
*endif
/
*\
*if(strcmp(GenData(Mass_distribution),"Consistent_mass_matrix")==0)
0       # 0= consistent mass matrix, 1= lumped mass matrix
*elseif(strcmp(GenData(Mass_distribution),"Lumped_mass_matrix")==0)
1       # 0= consistent mass matrix, 1= lumped mass matrix
*endif
/
1e-4     # frequency convergence tolerance  approx 1e-4
0        # frequency shift-factor for rigid body modes, make 0 for pos.def. [K]
*GenData(Scaling_factor_Deformation)        # exaggerate modal mesh deformations
*set var nmass=0
*Set Cond Mass-Inertia *nodes
*loop nodes *OnlyInCond
*Set Var nmass=loopvar
*end nodes
*format {"%2i"}
*nmass      # number of nodes with extra node mass or rotatory inertia
*Set Cond Mass-Inertia *nodes
*if(CondNumEntities(int)>0)
*loop nodes *OnlyInCond
*format {"%2i"}
*NodesNum *\
   *cond(1) *cond(2) *cond(3) *cond(4)/
*end nodes
*endif
/
*set var elmass=0
*Set Cond Mass-Loads *elems
*loop elems *OnlyInCond
*Set Var elmass=loopvar
*end elems
*format {"%2i"}
*elmass     # number of frame elements with extra mass 
#.elmnt   extra mass
#         tonne
*Set Cond Mass-Loads *elems
*if(CondNumEntities(int)>0)
*loop elems *OnlyInCond
*format {"%2i"}
*ElemsNum *\
   *cond(1)/
*end elems
*endif
/
*GenData(No_Dyn_Modes)                         # number of modes to be animated, nA 
*if(GenData(No_Dyn_Modes)==0)
*break
*for(i=1;i=GenDataNo_Dyn_Modes)
*i *\                 # this list should be omitted if nA == 0
*endif
*end for
0                         # pan rate of the animation 0 = no panning
*\
*if(strcmp(GenData(Matrix_condensation),"None")==0)
0      
*elseif(strcmp(GenData(Matrix_condensation),"Static")==0)
1 
*elseif(strcmp(GenData(Matrix_condensation),"Dynamic")==0)
2
*elseif(strcmp(GenData(Matrix_condensation),"Modal")==0)
3          
*endif
/
0      # number of condensed nodes

							   
#variable notation
							  
    a            - Coefficient of thermal expansion (1/degree)
    anim         - List of modes to be animated, by mode number
    Ax           - Cross-sectional area of a prismatic frame element
                   (The x-axis is along the element length, in local coordinates)
    Asy          - Shear area in the local y-axis of a prismatic frame element
    Asz          - Shear area in the local z-axis of a prismatic frame element
    Cmethod      -  matrix condensation method ...  0=none, 1=static, 2=dynamic, 3=modal
    cx           - 1: retain X d.o.f. in condensed system at node J;  0: don't
    cy           - 1: retain Y d.o.f. in condensed system at node J;  0: don't
    cz           - 1: retain Z d.o.f. in condensed system at node J;  0: don't
    cxx             - 1: retain X axis rotation at node J;  0: don't
    cyy          - 1: retain Y axis rotation at node J;  0: don't
    czz          - 1: retain Z axis rotation at node J;  0: don't
    Dx           - Prescribed displacement in the global X direction
    Dy           - Prescribed displacement in the global Y direction
    Dz           - Prescribed displacement in the global Z direction
    Dxx          - Prescribed rotation in the global X direction
    Dyy          - Prescribed rotation in the global Y direction
    Dzz          - Prescribed rotation in the global Z direction
    d            - mass density of a frame element (using consistent units).
    dx           - x-axis increment for frame element internal force data
    E            - Modulus of elasticity of a frame element
    EL           - Element number
    EMs          - extra mass on a frame element, not including self mass
    exagg_modal  - Exaggeration factor for the modal  displacements in the plot
    exagg_static - Exaggeration factor for the static displacements in the plot
    Fx           - Externally applied nodal force in the global X direction
    Fy           - Externally applied nodal force in the global Y direction
    Fz           - Externally applied nodal force in the global Z direction
    G            -  Shear modulus of elasticity of frame element i
    gX           - gravitational acceleration in the global X direction
    gY           - gravitational acceleration in the global Y direction          
    gZ           - gravitational acceleration in the global Z direction
    geom         - 1: include geometric stiffness effects, 0: do not.
    hy           - cross-section dimension in the local y coordinate dir.
    hz           - cross-section dimension in the local z coordinate dir.
    Iy           - Moment of inertia for bending about the local y axis
    Iz           - Moment of inertia for bending about the local z axis
    Jx           - Torsional moment of inertia of a frame element
    lump         - 1: use lumped mass matrix, 0: use consistent mass matrix
    Mxx          - Externally applied nodal Moment about the global X axis
    Myy          - Externally applied nodal Moment about the global Y axis
    Mzz          - Externally applied nodal Moment about the global Z axis
    m            - list of modes to match in dynamic condensation
    Mmethod      - the modal analysis method 1: Subspace Jacobi, 2: Stodola
    N            - Node number
    N1           - Node 1 of a frame element
    N2           - Node 2 of a frame element
    NMs          - extra mass of a node for translational motion
    NMx          - extra rotatory inertia of a node about global x coord. dir.
    NMy          - extra rotatory inertia of a node about global y coord. dir.
    NMz          - extra rotatory inertia of a node about global z coord. dir.
    nA           - number of mode shapes to Animate must be less than 20
    nC           - number of nodes for matrix Condensation
    nD           - number of nodes with prescribed Displacements (nD <= nR)
    nE           - number of frame Elements
    nF           - number of nodes with point Forces or concentrated moments
    nI           - number of nodes with extra node mass or Inertia
    nL           - number of static Load cases
    nM           - number of Modes to be calculated
    nN           - number of Nodes in the model
    nP           - number of concentrated interior point loads
    nR           - number of nodes with Reaction forces
    nT           - number of frame elements with Temperature changes
    nU           - number of uniformly distributed loads
    nW           - number of trapezoidally distributed loads
    p            - the roll angle of the frame element, in degrees
    pan          - the pan rate of the view point during animation
    Px           - concentrated point load in the local x direction
    Py           - concentrated point load in the local y direction
    Pz           - concentrated point load in the local z direction
    Rx           - 1: reaction force in the global X direction,  0: free
    Ry           - 1: reaction force in the global Y direction,  0: free
    Rz           - 1: reaction force in the global Z direction,  0: free
    Rxx          - 1: reactoin moment about the global X axis, 0: free
    Ryy          - 1: reaction moment about the global Y axis, 0: free
    Rzz          - 1: reaction moment about the global Z axis, 0: free
    rj           - radius of rigid node sphere around node i
    scale        - zoom scale for 3D plotting in gnuplot
    shear        - 1: include shear deformations, 0: do not.
    shift        - shift factor for non-definite stiffness matrices
    tol          - tolerance for finding mode shapes ~ 1.e-4
    Ty+          - temperature change on the local +y face of the element
    Ty-          - temperature change on the local -y face of the element
    Tz+          - temperature change on the local +z face of the element
    Tz-          - temperature change on the local -z face of the element
    Ux           - uniform distributed load in the local X direction
    Uy           - uniform distributed load in the local Y direction
    Uz           - uniform distributed load in the local Z direction
    wx1          - starting value for trapezoidally-distributed loads
                   in the local x-direction
    wx2          - stopping value for trapezoidally-distributed loads
                   in the local x-direction
    wy1          - starting value for trapezoidally-distributed loads
                   in the local y-direction
    wy2          - stopping value for trapezoidally-distributed loads
                   in the local y-direction
    wz1          - starting value for trapezoidally-distributed loads
                   in the local z-direction
    wz2          - stopping value for trapezoidally-distributed loads
                   in the local z-direction
    xx1          - distance along a frame element for starting
                   trapezoidally-distributed loads in the x-direction
    xx2          - distance along a frame element for stopping
                   trapezoidally-distributed loads in the x-direction
    xy1          - distance along a frame element for starting
                   trapezoidally-distributed loads in the y-direction
    xy2          - distance along a frame element for stopping
                   trapezoidally-distributed loads in the y-direction
    xz1          - distance along a frame element for starting
                   trapezoidally-distributed loads in the z-direction
    xz2          - distance along a frame element for stopping
                   trapezoidally-distributed loads in the z-direction
    x            - x coordinate of a node in global coordinates
    y            - y coordinate of a node in global coordinates
    z            - y coordinate of a node in global coordinates
    xP           - distance from N1 to the concentrated point load							   
							   

					   
   
#####################################################
# Preprocessing File For Frame3dd created in GiD    #
# Prepared by Esneyder Montoya, Ph.D, P.Eng, P.E.   #
# Version V.1.0                                     #
# Created On Feb 11 2016                            #
# Updated On                                        #
#####################################################     